package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 液化石油气-充装记录对象 t_lpg_air_charge_files
 * 
 * @author zehong
 * @date 2024-07-09
 */
public class TLpgAirChargeFiles extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long fGasAirChargeId;

    /** 充装记录编号 */
    @Excel(name = "充装记录编号")
    private Long fGzId;

    /** 充装单位 */
    @Excel(name = "充装单位")
    private String fStationName;

    /** 气瓶条码 */
    @Excel(name = "气瓶条码")
    private String fBarCode;

    /** 钢印号 */
    @Excel(name = "钢印号")
    private String fVaseCode;

    /** 秤号 */
    @Excel(name = "秤号")
    private String fScaleNum;

    /** 充装开始时间 */
    @Excel(name = "充装开始时间")
    private String fFillStatrTime;

    /** 充装结束时间 */
    @Excel(name = "充装结束时间")
    private String fFillEndTime;

    /** 设定净重 */
    @Excel(name = "设定净重")
    private String fSetWeight;

    /** 实际净重 */
    @Excel(name = "实际净重")
    private String fWtNet;

    /** 设定瓶重 */
    @Excel(name = "设定瓶重")
    private String fSetBottleWeight;

    /** 实际瓶重 */
    @Excel(name = "实际瓶重")
    private String fBottleWeight;

    /** 实际总重 */
    @Excel(name = "实际总重")
    private String fWtGross;

    /** 充装工 */
    @Excel(name = "充装工")
    private String fOprateName;

    public void setfGasAirChargeId(Long fGasAirChargeId) 
    {
        this.fGasAirChargeId = fGasAirChargeId;
    }

    public Long getfGasAirChargeId() 
    {
        return fGasAirChargeId;
    }
    public void setfGzId(Long fGzId) 
    {
        this.fGzId = fGzId;
    }

    public Long getfGzId() 
    {
        return fGzId;
    }
    public void setfStationName(String fStationName) 
    {
        this.fStationName = fStationName;
    }

    public String getfStationName() 
    {
        return fStationName;
    }
    public void setfBarCode(String fBarCode) 
    {
        this.fBarCode = fBarCode;
    }

    public String getfBarCode() 
    {
        return fBarCode;
    }
    public void setfVaseCode(String fVaseCode) 
    {
        this.fVaseCode = fVaseCode;
    }

    public String getfVaseCode() 
    {
        return fVaseCode;
    }
    public void setfScaleNum(String fScaleNum) 
    {
        this.fScaleNum = fScaleNum;
    }

    public String getfScaleNum() 
    {
        return fScaleNum;
    }
    public void setfFillStatrTime(String fFillStatrTime) 
    {
        this.fFillStatrTime = fFillStatrTime;
    }

    public String getfFillStatrTime() 
    {
        return fFillStatrTime;
    }
    public void setfFillEndTime(String fFillEndTime) 
    {
        this.fFillEndTime = fFillEndTime;
    }

    public String getfFillEndTime() 
    {
        return fFillEndTime;
    }
    public void setfSetWeight(String fSetWeight) 
    {
        this.fSetWeight = fSetWeight;
    }

    public String getfSetWeight() 
    {
        return fSetWeight;
    }
    public void setfWtNet(String fWtNet) 
    {
        this.fWtNet = fWtNet;
    }

    public String getfWtNet() 
    {
        return fWtNet;
    }
    public void setfSetBottleWeight(String fSetBottleWeight) 
    {
        this.fSetBottleWeight = fSetBottleWeight;
    }

    public String getfSetBottleWeight() 
    {
        return fSetBottleWeight;
    }
    public void setfBottleWeight(String fBottleWeight) 
    {
        this.fBottleWeight = fBottleWeight;
    }

    public String getfBottleWeight() 
    {
        return fBottleWeight;
    }
    public void setfWtGross(String fWtGross) 
    {
        this.fWtGross = fWtGross;
    }

    public String getfWtGross() 
    {
        return fWtGross;
    }
    public void setfOprateName(String fOprateName) 
    {
        this.fOprateName = fOprateName;
    }

    public String getfOprateName() 
    {
        return fOprateName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fGasAirChargeId", getfGasAirChargeId())
            .append("fGzId", getfGzId())
            .append("fStationName", getfStationName())
            .append("fBarCode", getfBarCode())
            .append("fVaseCode", getfVaseCode())
            .append("fScaleNum", getfScaleNum())
            .append("fFillStatrTime", getfFillStatrTime())
            .append("fFillEndTime", getfFillEndTime())
            .append("fSetWeight", getfSetWeight())
            .append("fWtNet", getfWtNet())
            .append("fSetBottleWeight", getfSetBottleWeight())
            .append("fBottleWeight", getfBottleWeight())
            .append("fWtGross", getfWtGross())
            .append("fOprateName", getfOprateName())
            .toString();
    }
}
